summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/scripts/tex4ht
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2020-11-23 18:08:29 +0000
committerKarl Berry <karl@freefriends.org>2020-11-23 18:08:29 +0000
commit754f20ecc77875061dd95322eca1dd3e9f453b18 (patch)
treeb8ac4270c7b0d6ca290896ea253cb77b0d96b71a /Master/texmf-dist/scripts/tex4ht
parentcb98e23fb5a808872555c8db14a654230dd70137 (diff)
tex4ht scripts: set -e and redirect from /dev/null, tex4ht r837
git-svn-id: svn://tug.org/texlive/trunk@56988 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/texmf-dist/scripts/tex4ht')
-rwxr-xr-xMaster/texmf-dist/scripts/tex4ht/ht.sh10
-rwxr-xr-xMaster/texmf-dist/scripts/tex4ht/htcontext.sh12
-rwxr-xr-xMaster/texmf-dist/scripts/tex4ht/htlatex.sh10
-rwxr-xr-xMaster/texmf-dist/scripts/tex4ht/htmex.sh10
-rwxr-xr-xMaster/texmf-dist/scripts/tex4ht/httex.sh10
-rwxr-xr-xMaster/texmf-dist/scripts/tex4ht/httexi.sh16
-rwxr-xr-xMaster/texmf-dist/scripts/tex4ht/htxelatex.sh10
-rwxr-xr-xMaster/texmf-dist/scripts/tex4ht/htxetex.sh10
-rwxr-xr-xMaster/texmf-dist/scripts/tex4ht/xhlatex.sh10
9 files changed, 85 insertions, 13 deletions
diff --git a/Master/texmf-dist/scripts/tex4ht/ht.sh b/Master/texmf-dist/scripts/tex4ht/ht.sh
index 5546be0fab2..74d1bdb6979 100755
--- a/Master/texmf-dist/scripts/tex4ht/ht.sh
+++ b/Master/texmf-dist/scripts/tex4ht/ht.sh
@@ -1,6 +1,14 @@
#!/bin/sh
+# stop at first error
+set -e
-# ht (2020-10-25-17:53), generated from tex4ht-mkht.tex
+# No interaction on the TeX runs is desirable.
+# Simpler to do that here than on the individual commands;
+# let's hope exec redirections are portable enough.
+exec </dev/null
+
+
+# ht (2020-11-23-10:05), generated from tex4ht-mkht.tex
# Copyright 2009-2020 TeX Users Group
# Copyright 2003-2009 Eitan M. Gurari
#
diff --git a/Master/texmf-dist/scripts/tex4ht/htcontext.sh b/Master/texmf-dist/scripts/tex4ht/htcontext.sh
index 77dc6a5e309..538c28ccf6c 100755
--- a/Master/texmf-dist/scripts/tex4ht/htcontext.sh
+++ b/Master/texmf-dist/scripts/tex4ht/htcontext.sh
@@ -1,6 +1,14 @@
#!/bin/sh
+# stop at first error
+set -e
-# htcontext (2020-10-25-17:53), generated from tex4ht-mkht.tex
+# No interaction on the TeX runs is desirable.
+# Simpler to do that here than on the individual commands;
+# let's hope exec redirections are portable enough.
+exec </dev/null
+
+
+# htcontext (2020-11-23-10:05), generated from tex4ht-mkht.tex
# Copyright 2009-2020 TeX Users Group
# Copyright 2003-2009 Eitan M. Gurari
#
@@ -21,7 +29,7 @@
# version identification be appreciated.
- texexec --arg="ht-1=$2" --use=tex4ht --dvi --nobackend $5 $1
+ \rubyCall texexec --arg="ht-1=$2" --use=tex4ht --dvi --nobackend $5 $1
tex4ht -f/$1 -i~/tex4ht.dir/texmf/tex4ht/ht-fonts/$3
t4ht -f/$1 $4 ## -d~/WWW/temp/ -m644
diff --git a/Master/texmf-dist/scripts/tex4ht/htlatex.sh b/Master/texmf-dist/scripts/tex4ht/htlatex.sh
index 354661bb79b..85b92153f75 100755
--- a/Master/texmf-dist/scripts/tex4ht/htlatex.sh
+++ b/Master/texmf-dist/scripts/tex4ht/htlatex.sh
@@ -1,6 +1,14 @@
#!/bin/sh
+# stop at first error
+set -e
-# htlatex (2020-10-25-17:53), generated from tex4ht-mkht.tex
+# No interaction on the TeX runs is desirable.
+# Simpler to do that here than on the individual commands;
+# let's hope exec redirections are portable enough.
+exec </dev/null
+
+
+# htlatex (2020-11-23-10:05), generated from tex4ht-mkht.tex
# Copyright 2009-2020 TeX Users Group
# Copyright 2003-2009 Eitan M. Gurari
#
diff --git a/Master/texmf-dist/scripts/tex4ht/htmex.sh b/Master/texmf-dist/scripts/tex4ht/htmex.sh
index 5e0c978b705..5fff73e18f9 100755
--- a/Master/texmf-dist/scripts/tex4ht/htmex.sh
+++ b/Master/texmf-dist/scripts/tex4ht/htmex.sh
@@ -1,6 +1,14 @@
#!/bin/sh
+# stop at first error
+set -e
-# htmex (2020-10-25-17:53), generated from tex4ht-mkht.tex
+# No interaction on the TeX runs is desirable.
+# Simpler to do that here than on the individual commands;
+# let's hope exec redirections are portable enough.
+exec </dev/null
+
+
+# htmex (2020-11-23-10:05), generated from tex4ht-mkht.tex
# Copyright 2009-2020 TeX Users Group
# Copyright 2003-2009 Eitan M. Gurari
#
diff --git a/Master/texmf-dist/scripts/tex4ht/httex.sh b/Master/texmf-dist/scripts/tex4ht/httex.sh
index e97cc5d55b5..39748708960 100755
--- a/Master/texmf-dist/scripts/tex4ht/httex.sh
+++ b/Master/texmf-dist/scripts/tex4ht/httex.sh
@@ -1,6 +1,14 @@
#!/bin/sh
+# stop at first error
+set -e
-# httex (2020-10-25-17:53), generated from tex4ht-mkht.tex
+# No interaction on the TeX runs is desirable.
+# Simpler to do that here than on the individual commands;
+# let's hope exec redirections are portable enough.
+exec </dev/null
+
+
+# httex (2020-11-23-10:05), generated from tex4ht-mkht.tex
# Copyright 2009-2020 TeX Users Group
# Copyright 2003-2009 Eitan M. Gurari
#
diff --git a/Master/texmf-dist/scripts/tex4ht/httexi.sh b/Master/texmf-dist/scripts/tex4ht/httexi.sh
index ef74f2821b1..9e98d436dda 100755
--- a/Master/texmf-dist/scripts/tex4ht/httexi.sh
+++ b/Master/texmf-dist/scripts/tex4ht/httexi.sh
@@ -1,6 +1,14 @@
#!/bin/sh
+# stop at first error
+set -e
-# httexi (2020-10-25-17:53), generated from tex4ht-mkht.tex
+# No interaction on the TeX runs is desirable.
+# Simpler to do that here than on the individual commands;
+# let's hope exec redirections are portable enough.
+exec </dev/null
+
+
+# httexi (2020-11-23-10:05), generated from tex4ht-mkht.tex
# Copyright 2009-2020 TeX Users Group
# Copyright 2003-2009 Eitan M. Gurari
#
@@ -20,9 +28,9 @@
# If you modify this file, changing the
# version identification be appreciated.
-tex $5 '\def\Link#1.a.b.c.{\expandafter\def\csname tex4ht\endcsname{\expandafter\def\csname tex4ht\endcsname{#1,html}\input tex4ht.sty }}\def\HCode{\futurelet\HCode\HChar}\def\HChar{\ifx"\HCode\def\HCode"##1"{\Link##1}\expandafter\HCode\else\expandafter\Link\fi}\let\svrm=\rm\def\rm{\svrm\ifx\c\comment\def\rm{\let\rm=\svrm\catcode`\@=12\catcode`\\=0 \csname tex4ht\endcsname\catcode`\@=0\catcode`\\=13 }\expandafter\rm\fi}\HCode '$2'.a.b.c.\input ' $1
- tex $5 '\def\Link#1.a.b.c.{\expandafter\def\csname tex4ht\endcsname{\expandafter\def\csname tex4ht\endcsname{#1,html}\input tex4ht.sty }}\def\HCode{\futurelet\HCode\HChar}\def\HChar{\ifx"\HCode\def\HCode"##1"{\Link##1}\expandafter\HCode\else\expandafter\Link\fi}\let\svrm=\rm\def\rm{\svrm\ifx\c\comment\def\rm{\let\rm=\svrm\catcode`\@=12\catcode`\\=0 \csname tex4ht\endcsname\catcode`\@=0\catcode`\\=13 }\expandafter\rm\fi}\HCode '$2'.a.b.c.\input ' $1
- tex $5 '\def\Link#1.a.b.c.{\expandafter\def\csname tex4ht\endcsname{\expandafter\def\csname tex4ht\endcsname{#1,html}\input tex4ht.sty }}\def\HCode{\futurelet\HCode\HChar}\def\HChar{\ifx"\HCode\def\HCode"##1"{\Link##1}\expandafter\HCode\else\expandafter\Link\fi}\let\svrm=\rm\def\rm{\svrm\ifx\c\comment\def\rm{\let\rm=\svrm\catcode`\@=12\catcode`\\=0 \csname tex4ht\endcsname\catcode`\@=0\catcode`\\=13 }\expandafter\rm\fi}\HCode '$2'.a.b.c.\input ' $1
+etex $5 '\def\Link#1.a.b.c.{\expandafter\def\csname tex4ht\endcsname{\expandafter\def\csname tex4ht\endcsname{#1,html}\input tex4ht.sty }}\def\HCode{\futurelet\HCode\HChar}\def\HChar{\ifx"\HCode\def\HCode"##1"{\Link##1}\expandafter\HCode\else\expandafter\Link\fi}\let\svrm=\rm\def\rm{\svrm\ifx\c\comment\def\rm{\let\rm=\svrm\catcode`\@=12\catcode`\\=0 \csname tex4ht\endcsname\catcode`\@=0\catcode`\\=13 }\expandafter\rm\fi}\HCode '$2'.a.b.c.\input ' $1
+ etex $5 '\def\Link#1.a.b.c.{\expandafter\def\csname tex4ht\endcsname{\expandafter\def\csname tex4ht\endcsname{#1,html}\input tex4ht.sty }}\def\HCode{\futurelet\HCode\HChar}\def\HChar{\ifx"\HCode\def\HCode"##1"{\Link##1}\expandafter\HCode\else\expandafter\Link\fi}\let\svrm=\rm\def\rm{\svrm\ifx\c\comment\def\rm{\let\rm=\svrm\catcode`\@=12\catcode`\\=0 \csname tex4ht\endcsname\catcode`\@=0\catcode`\\=13 }\expandafter\rm\fi}\HCode '$2'.a.b.c.\input ' $1
+ etex $5 '\def\Link#1.a.b.c.{\expandafter\def\csname tex4ht\endcsname{\expandafter\def\csname tex4ht\endcsname{#1,html}\input tex4ht.sty }}\def\HCode{\futurelet\HCode\HChar}\def\HChar{\ifx"\HCode\def\HCode"##1"{\Link##1}\expandafter\HCode\else\expandafter\Link\fi}\let\svrm=\rm\def\rm{\svrm\ifx\c\comment\def\rm{\let\rm=\svrm\catcode`\@=12\catcode`\\=0 \csname tex4ht\endcsname\catcode`\@=0\catcode`\\=13 }\expandafter\rm\fi}\HCode '$2'.a.b.c.\input ' $1
tex4ht -f/$1 -i~/tex4ht.dir/texmf/tex4ht/ht-fonts/$3
t4ht -f/$1 $4 ## -d~/WWW/temp/ -m644
# texindex ?
diff --git a/Master/texmf-dist/scripts/tex4ht/htxelatex.sh b/Master/texmf-dist/scripts/tex4ht/htxelatex.sh
index 3f0524f760c..22d29388d95 100755
--- a/Master/texmf-dist/scripts/tex4ht/htxelatex.sh
+++ b/Master/texmf-dist/scripts/tex4ht/htxelatex.sh
@@ -1,6 +1,14 @@
#!/bin/sh
+# stop at first error
+set -e
-# htxelatex (2020-10-25-17:53), generated from tex4ht-mkht.tex
+# No interaction on the TeX runs is desirable.
+# Simpler to do that here than on the individual commands;
+# let's hope exec redirections are portable enough.
+exec </dev/null
+
+
+# htxelatex (2020-11-23-10:05), generated from tex4ht-mkht.tex
# Copyright 2009-2020 TeX Users Group
# Copyright 2003-2009 Eitan M. Gurari
#
diff --git a/Master/texmf-dist/scripts/tex4ht/htxetex.sh b/Master/texmf-dist/scripts/tex4ht/htxetex.sh
index 4f2403ea437..09aaf2c729a 100755
--- a/Master/texmf-dist/scripts/tex4ht/htxetex.sh
+++ b/Master/texmf-dist/scripts/tex4ht/htxetex.sh
@@ -1,6 +1,14 @@
#!/bin/sh
+# stop at first error
+set -e
-# htxetex (2020-10-25-17:53), generated from tex4ht-mkht.tex
+# No interaction on the TeX runs is desirable.
+# Simpler to do that here than on the individual commands;
+# let's hope exec redirections are portable enough.
+exec </dev/null
+
+
+# htxetex (2020-11-23-10:05), generated from tex4ht-mkht.tex
# Copyright 2009-2020 TeX Users Group
# Copyright 2003-2009 Eitan M. Gurari
#
diff --git a/Master/texmf-dist/scripts/tex4ht/xhlatex.sh b/Master/texmf-dist/scripts/tex4ht/xhlatex.sh
index d2ddff224d1..34aae5524d0 100755
--- a/Master/texmf-dist/scripts/tex4ht/xhlatex.sh
+++ b/Master/texmf-dist/scripts/tex4ht/xhlatex.sh
@@ -1,6 +1,14 @@
#!/bin/sh
+# stop at first error
+set -e
-# xhlatex (2020-10-25-17:53), generated from tex4ht-mkht.tex
+# No interaction on the TeX runs is desirable.
+# Simpler to do that here than on the individual commands;
+# let's hope exec redirections are portable enough.
+exec </dev/null
+
+
+# xhlatex (2020-11-23-10:05), generated from tex4ht-mkht.tex
# Copyright 2009-2020 TeX Users Group
# Copyright 2003-2009 Eitan M. Gurari
#